> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

# 55. ZIPファイルをアップロード（6MB超）

AWSクラウドプロバイダーの技術的な制約により、6 MBを超えるファイルのアップロードは2つの手順で行う必要があります。

#### **1. 直接アップロードするための署名付きリンクをリクエストします。** <a href="#step1" id="step1"></a>

入力：

* `fileType` - `yield` または `soil` または `applied` または `adapt` または `boundary`,
* `farmUuid` （任意）- ファイルのインポート先となる農場のUUID。

出力：

* `uuid` - アップロードと処理の完了後に想定されるUUID。
* `farmUuid` - 入力と同じ値。
* `fileType` - 入力と同じ値。
* `s3Url` - ファイルのアップロードに使用するURL。
* `s3Fields` - ファイルアップロードフォームに渡す属性。

の使用方法について詳しくは、 `s3Url` および `s3Fields` 2番目の手順で説明します。

ファイルのアップロードに使用できる属性の有効期間は60分です。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. s3Fieldsの定義済みフォーム属性を指定して、ローカルファイルをs3Urlに送信します。** <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

処理に関する通知は、以下で説明されているサブスクリプションの仕組みを通じて配信されます。\
[1. サブスクリプション：イベントを取得する](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
レスポンスヘッダーには `Etag` ヘッダーが含まれます。たとえば、次のように表示されます。 `Etag: "6fd3e76992738357ab50039f2c60024e"`。この値はその後、GraphQLで使用されます [query getPlatformContext](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/83.-query-collect-platform-context.md) 処理の進捗を監視し、「Field」、「AsAppliedDataset」、「YieldDataset」、「SoilDataset」の各エンティティとの関連付けを確認します。
{% endhint %}

{% hint style="info" %}
使用する `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
